Skip to main content
PUT
Update a lead status history entry

Authorizations

Authorization
string
header
required

Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.

Path Parameters

id
string
required

The ID of the lead status change.

Body

The lead status change request payload for the operation.

Defines a lead status transition or correction, including its target status, effective time, source, and explanatory context.

type
string
required

Category of status change being recorded for the lead.

outcome
string
required

Result of the interaction or workflow step that caused the status change.

category
null | enum<string>

Controlled lead status change categories used for reporting, automation, and analytics.

Available options:
Open,
Qualified,
Converted,
Lost,
Invalid,
Duplicate
notes
null | string

The operator or customer notes recorded for this lead status change.

reason
null | string

The reason this lead status change was changed.

followUpStatus
null | string

The current follow up status for this lead status change.

callbackAt
null | string<date-time>

UTC timestamp for callback at on this lead status change.

taskDueAt
null | string<date-time>

UTC timestamp for task due at on this lead status change.

appointmentStartAt
null | string<date-time>

UTC timestamp for appointment start at on this lead status change.

appointmentEndAt
null | string<date-time>

UTC timestamp for appointment end at on this lead status change.

appointmentNotes
null | string

Additional scheduling or preparation notes for the related appointment.

Response

Returns the lead status change response.

Describes an auditable lead status transition, including the previous and new status, source, actor, and effective time.

id
string

Unique Leadping identifier for this lead status change.

leadId
string

The lead ID associated with this lead status change.

leadName
null | string

The display name of the lead associated with this lead status change.

type
string

Category of status change recorded for the lead.

outcome
string

Result of the interaction or workflow step that caused the status change.

category
null | enum<string>

Controlled lead status change categories used for reporting, automation, and analytics.

Available options:
Open,
Qualified,
Converted,
Lost,
Invalid,
Duplicate
oldLeadStatusChangeId
null | string

Unique identifier of the old lead status change associated with this Leadping lead status change.

oldLeadStatusChangeType
null | string

Old lead status change type classification for this Leadping lead status change.

oldLeadStatusChangeOutcome
null | string

Old lead status change outcome associated with this Leadping lead status change.

newLeadStatusChangeId
null | string

Unique identifier of the new lead status change associated with this Leadping lead status change.

notes
string

The operator or customer notes recorded for this lead status change.

reason
null | string

The reason this lead status change was changed.

changedByUserId
null | string

Unique identifier of the Leadping user who made the change.

changedByAutomationId
null | string

Unique identifier of the automation that changed the lead status change, when applicable.

changedAt
null | string<date-time>

Date and time when the lead status change change occurred.

changeSource
null | enum<string>

Known sources that can change a lead's current lead status change.

Available options:
User,
AI,
Automation,
System,
API
timestamp
string<date-time>

UTC timestamp for timestamp on this lead status change.

createdAt
string<date-time>

UTC timestamp for created at on this lead status change.

updatedAt
string<date-time>

UTC timestamp for updated at on this lead status change.

followUpStatus
null | string

The current follow up status for this lead status change.

callbackAt
null | string<date-time>

UTC timestamp for callback at on this lead status change.

taskDueAt
null | string<date-time>

UTC timestamp for task due at on this lead status change.

appointmentStartAt
null | string<date-time>

UTC timestamp for appointment start at on this lead status change.

appointmentEndAt
null | string<date-time>

UTC timestamp for appointment end at on this lead status change.

appointmentNotes
null | string

Additional scheduling or preparation notes for the related appointment.

assignedToUserId
null | string

The assigned to user ID associated with this lead status change.

The related call event ID associated with this lead status change.

isMissedCallFollowUp
boolean

Whether this lead status change is missed call follow up.

sourceId
null | string

The source ID associated with this lead status change.